org.keycloak.audit

## Class Audit

- java.lang.Object
- - org.keycloak.audit.Audit

-     public class Audit
      extends Object

  Author:
    Stian Thorgersen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Audit(List<AuditListener> listeners, RealmModel realm, String ipAddress)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Audit` | `client(ClientModel client)`
    `Audit` | `client(String clientId)`
    `Audit` | `clone()`
    `Audit` | `detail(String key, String value)`
    `void` | `error(String error)`
    `Audit` | `event(EventType e)`
    `Event` | `getEvent()`
    `Audit` | `ipAddress(String ipAddress)`
    `Audit` | `realm(RealmModel realm)`
    `Audit` | `realm(String realmId)`
    `Audit` | `removeDetail(String key)`
    `Audit` | `reset()`
    `Audit` | `session(String sessionId)`
    `Audit` | `session(UserSessionModel session)`
    `void` | `success()`
    `Audit` | `user(String userId)`
    `Audit` | `user(UserModel user)`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Audit

          public Audit(List<AuditListener> listeners,
               RealmModel realm,
               String ipAddress)

  - ### Method Detail

    - #### realm

          public Audit realm(RealmModel realm)

    - #### realm

          public Audit realm(String realmId)

    - #### client

          public Audit client(ClientModel client)

    - #### client

          public Audit client(String clientId)

    - #### user

          public Audit user(UserModel user)

    - #### user

          public Audit user(String userId)

    - #### session

          public Audit session(UserSessionModel session)

    - #### session

          public Audit session(String sessionId)

    - #### ipAddress

          public Audit ipAddress(String ipAddress)

    - #### event

          public Audit event(EventType e)

    - #### detail

          public Audit detail(String key,
                     String value)

    - #### removeDetail

          public Audit removeDetail(String key)

    - #### getEvent

          public Event getEvent()

    - #### success

          public void success()

    - #### error

          public void error(String error)

    - #### clone

          public Audit clone()

      Overrides:
        `clone` in class `Object`

    - #### reset

          public Audit reset()

Copyright © 2014. All Rights Reserved.